Zum Inhalt springen
DeutschlandGPT

Create Custom GPT

Creates a new Custom GPT in the authenticated workspace (enterprise-scoped, or private to the user when the workspace has no enterprise).

POSThttps://api.deutschlandgpt.de/v2/custom-gpts

Example request

curl https://api.deutschlandgpt.de/v2/custom-gpts \
  -X POST \
  -H "Authorization: Bearer $DGPT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "instructions": "string",
  "conversationStarters": "string",
  "metadata": {},
  "promptSuggestions": [
    "string"
  ],
  "modelId": "00000000-0000-0000-0000-000000000000"
}'

Request body

namestringrequired

Display name

descriptionstringoptional

Short description

instructionsstringoptional

System instructions for the GPT

conversationStartersstringoptional

Suggested conversation starters

metadataCustomGptMetadataoptional
filesobject[]optional
idstringoptional
namestringoptional
webBrowsingobjectoptional
enabledbooleanoptional
imageGenerationobjectoptional
enabledbooleanoptional
codeInterpreterobjectoptional
enabledbooleanoptional
promptSuggestionsstring[]optional

Prompt suggestions shown to users

modelIdstring<uuid>optional

Default model ID for this GPT

Response

201application/json
{
  "id": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "description": "string",
  "instructions": "string",
  "conversationStarters": "string",
  "metadata": {
    "files": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "webBrowsing": {
      "enabled": true
    },
    "imageGeneration": {
      "enabled": true
    },
    "codeInterpreter": {
      "enabled": true
    }
  },
  "accessLevel": "string",
  "promptSuggestions": [
    "string"
  ],
  "modelId": "00000000-0000-0000-0000-000000000000",
  "createdAt": "2025-01-01T00:00:00Z"
}

Created Custom GPT

idstring<uuid>
namestring
descriptionstring | null
instructionsstring | null
conversationStartersstring | null
metadataCustomGptMetadata
filesobject[]
idstring
namestring
webBrowsingobject
enabledboolean
imageGenerationobject
enabledboolean
codeInterpreterobject
enabledboolean
accessLevelstring
promptSuggestionsstring[]
modelIdstring<uuid> | null
createdAtstring<date-time>

Response codes

201

Created Custom GPT

CustomGpt
401

Unauthorized

402

Insufficient credits or spending limit exceeded

Error
Was this page helpful?